export default (router) => {
    router.get('/app/:id?', './app');
    router.get('/audio/:id', './audio');
    router.get('/bangumi/:seasonid', './bangumi'); // 弃用
    router.get('/bangumi/media/:mediaid', './bangumi');
    router.get('/fav/:uid/:fid/:disableEmbed?', './fav');
    router.get('/followings/article/:uid', './followings-article');
    router.get('/followings/dynamic/:uid/:routeParams?', './followings-dynamic');
    router.get('/followings/video/:uid/:disableEmbed?', './followings-video');
    router.get('/link/news/:product', './link-news');
    router.get('/hot-search', './hot-search');
    router.get('/live/area/:areaID/:order', './live-area');
    router.get('/live/room/:roomID', './live-room');
    router.get('/live/search/:key/:order', './live-search');
    router.get('/mall/new/:category?', './mall-new');
    router.get('/mall/ip/:id', './mall-ip');
    router.get('/manga/update/:comicid', './manga-update');
    router.get('/manga/followings/:uid/:limits?', './manga-followings');
    router.get('/partion/:tid/:disableEmbed?', './partion');
    router.get('/partion/ranking/:tid/:days?/:disableEmbed?', './partion-ranking');
    router.get('/platform/:area?/:p_type?/:uid?', './platform');
    router.get('/popular/all', './popular');
    router.get('/ranking/:rid?/:day?/:arc_type?/:disableEmbed?', './ranking');
    router.get('/readlist/:listid', './readlist');
    router.get('/user/article/:uid', './article');
    router.get('/user/bangumi/:uid/:type?', './user-bangumi');
    router.get('/user/channel/:uid/:sid/:disableEmbed?', './user-channel');
    router.get('/user/coin/:uid/:disableEmbed?', './coin');
    router.get('/user/collection/:uid/:sid/:disableEmbed?', './user-collection');
    router.get('/user/dynamic/:uid/:routeParams?', './dynamic');
    router.get('/user/fav/:uid/:disableEmbed?', './user-fav');
    router.get('/user/followers/:uid/:loginUid', './followers');
    router.get('/user/followings/:uid/:loginUid', './followings');
    router.get('/user/like/:uid/:disableEmbed?', './like');
    router.get('/user/video/:uid/:disableEmbed?', './video');
    router.get('/user/video-all/:uid/:disableEmbed?', './video-all');
    router.get('/video/danmaku/:bvid/:pid?', './danmaku');
    router.get('/video/page/:bvid/:disableEmbed?', './page');
    router.get('/video/reply/:bvid', './reply');
    router.get('/vsearch/:kw/:order?/:disableEmbed?/:tid?', './vsearch');
    router.get('/watchlater/:uid/:disableEmbed?', './watchlater');
    router.get('/weekly/:disableEmbed?', './weekly-recommend');
};
