export default {
    'caam.org.cn': {
        _name: '中国汽车工业协会',
        '.': [
            {
                title: '分类',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['/chn'],
                target: (_, url) => {
                    url = new URL(url);

                    const category = url.match(/cate_(\d+)\//)?.[1] ?? undefined;

                    return `/caam${category ? `/${category}` : ''}`;
                },
            },
            {
                title: '首页',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_1/list_1.html'],
                target: '/caam/1',
            },
            {
                title: '行业要闻',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_2/list_1.html'],
                target: '/caam/2',
            },
            {
                title: '协会活动',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_3/list_1.html'],
                target: '/caam/3',
            },
            {
                title: '会员专区',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_4/list_1.html'],
                target: '/caam/4',
            },
            {
                title: '协会概况',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_5/list_1.html'],
                target: '/caam/5',
            },
            {
                title: '协会概况 - 会员单位',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_6/list_1.html'],
                target: '/caam/6',
            },
            {
                title: '协会概况 - 协会简介',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_7/list_1.html'],
                target: '/caam/7',
            },
            {
                title: '协会概况 - 协会章程',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_8/list_1.html'],
                target: '/caam/8',
            },
            {
                title: '协会概况 - 组织机构',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_9/list_1.html'],
                target: '/caam/9',
            },
            {
                title: '协会概况 - 主要职责',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_10/list_1.html'],
                target: '/caam/10',
            },
            {
                title: '协会概况 - 协会荣誉',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_11/list_1.html'],
                target: '/caam/11',
            },
            {
                title: '协会概况 - 分支机构',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_12/list_1.html'],
                target: '/caam/12',
            },
            {
                title: '协会概况 - 分支机构 - 机构介绍',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_13/list_1.html'],
                target: '/caam/13',
            },
            {
                title: '协会概况 - 分支机构 - 管理办法',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_14/list_1.html'],
                target: '/caam/14',
            },
            {
                title: '协会概况 - 分支机构 - 业务范围',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_15/list_1.html'],
                target: '/caam/15',
            },
            {
                title: '协会工作',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_16/list_1.html'],
                target: '/caam/16',
            },
            {
                title: '协会工作 - 协会动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_17/list_1.html'],
                target: '/caam/17',
            },
            {
                title: '协会工作 - 分支机构动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_18/list_1.html'],
                target: '/caam/18',
            },
            {
                title: '协会工作 - 重点工作',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_19/list_1.html'],
                target: '/caam/19',
            },
            {
                title: '协会工作 - 法规标准',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_20/list_1.html'],
                target: '/caam/20',
            },
            {
                title: '协会工作 - 信用服务',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_21/list_1.html'],
                target: '/caam/21',
            },
            {
                title: '协会工作 - 会员服务',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_22/list_1.html'],
                target: '/caam/22',
            },
            {
                title: '协会工作 - 政策研究',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_23/list_1.html'],
                target: '/caam/23',
            },
            {
                title: '协会工作 - 协调合作',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_24/list_1.html'],
                target: '/caam/24',
            },
            {
                title: '协会工作 - 展会信息',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_25/list_1.html'],
                target: '/caam/25',
            },
            {
                title: '协会工作 - 国际合作',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_26/list_1.html'],
                target: '/caam/26',
            },
            {
                title: '协会工作 - 会员动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_27/list_1.html'],
                target: '/caam/27',
            },
            {
                title: '协会工作 - 行业培训',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_28/list_1.html'],
                target: '/caam/28',
            },
            {
                title: '统计数据',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_29/list_1.html'],
                target: '/caam/29',
            },
            {
                title: '统计数据 - 产销',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_30/list_1.html'],
                target: '/caam/30',
            },
            {
                title: '统计数据 - 产销 - 汽车',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_31/list_1.html'],
                target: '/caam/31',
            },
            {
                title: '统计数据 - 产销 - 摩托车',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_32/list_1.html'],
                target: '/caam/32',
            },
            {
                title: '统计数据 - 产销 - 零部件',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_33/list_1.html'],
                target: '/caam/33',
            },
            {
                title: '统计数据 - 进出口',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_34/list_1.html'],
                target: '/caam/34',
            },
            {
                title: '统计数据 - 进出口 - 汽车',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_35/list_1.html'],
                target: '/caam/35',
            },
            {
                title: '统计数据 - 进出口 - 摩托车',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_36/list_1.html'],
                target: '/caam/36',
            },
            {
                title: '统计数据 - 进出口 - 零部件',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_37/list_1.html'],
                target: '/caam/37',
            },
            {
                title: '统计数据 - 数据分析',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_38/list_1.html'],
                target: '/caam/38',
            },
            {
                title: '统计数据 - 数据分析 - 国内数据',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_39/list_1.html'],
                target: '/caam/39',
            },
            {
                title: '统计数据 - 数据分析 - 国外数据',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_40/list_1.html'],
                target: '/caam/40',
            },
            {
                title: '统计数据 - 亚洲',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_41/list_1.html'],
                target: '/caam/41',
            },
            {
                title: '统计数据 - 亚洲 - 日本',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_42/list_1.html'],
                target: '/caam/42',
            },
            {
                title: '统计数据 - 亚洲 - 泰国',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_43/list_1.html'],
                target: '/caam/43',
            },
            {
                title: '统计数据 - 亚洲 - 印度',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_44/list_1.html'],
                target: '/caam/44',
            },
            {
                title: '统计数据 - 亚洲 - 印尼',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_45/list_1.html'],
                target: '/caam/45',
            },
            {
                title: '统计数据 - 亚洲 - 韩国',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_46/list_1.html'],
                target: '/caam/46',
            },
            {
                title: '统计数据 - 亚洲 - 巴基斯坦',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_47/list_1.html'],
                target: '/caam/47',
            },
            {
                title: '统计数据 - 亚洲 - 其他',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_48/list_1.html'],
                target: '/caam/48',
            },
            {
                title: '统计数据 - 欧洲',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_49/list_1.html'],
                target: '/caam/49',
            },
            {
                title: '统计数据 - 欧洲 - 总汇',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_50/list_1.html'],
                target: '/caam/50',
            },
            {
                title: '统计数据 - 欧洲 - 德国',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_51/list_1.html'],
                target: '/caam/51',
            },
            {
                title: '统计数据 - 欧洲 - 英国',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_52/list_1.html'],
                target: '/caam/52',
            },
            {
                title: '统计数据 - 欧洲 - 法国',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_53/list_1.html'],
                target: '/caam/53',
            },
            {
                title: '统计数据 - 欧洲 - 意大利',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_54/list_1.html'],
                target: '/caam/54',
            },
            {
                title: '统计数据 - 欧洲 - 西班牙',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_55/list_1.html'],
                target: '/caam/55',
            },
            {
                title: '统计数据 - 大洋洲',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_56/list_1.html'],
                target: '/caam/56',
            },
            {
                title: '统计数据 - 大洋洲 - 澳大利亚',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_57/list_1.html'],
                target: '/caam/57',
            },
            {
                title: '统计数据 - 大洋洲 - 新西兰',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_58/list_1.html'],
                target: '/caam/58',
            },
            {
                title: '统计数据 - 北美洲',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_59/list_1.html'],
                target: '/caam/59',
            },
            {
                title: '统计数据 - 北美洲 - 总汇',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_60/list_1.html'],
                target: '/caam/60',
            },
            {
                title: '统计数据 - 北美洲 - 美国',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_61/list_1.html'],
                target: '/caam/61',
            },
            {
                title: '统计数据 - 南美洲',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_62/list_1.html'],
                target: '/caam/62',
            },
            {
                title: '统计数据 - 南美洲 - 阿根廷',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_63/list_1.html'],
                target: '/caam/63',
            },
            {
                title: '统计数据 - 南美洲 - 巴西',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_64/list_1.html'],
                target: '/caam/64',
            },
            {
                title: '统计数据 - 南美洲 - 其他',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_65/list_1.html'],
                target: '/caam/65',
            },
            {
                title: '统计数据 - 非洲',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_66/list_1.html'],
                target: '/caam/66',
            },
            {
                title: '文件公告',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_67/list_1.html'],
                target: '/caam/67',
            },
            {
                title: '文件公告 - 协会文件',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_68/list_1.html'],
                target: '/caam/68',
            },
            {
                title: '文件公告 - 公示公告',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_69/list_1.html'],
                target: '/caam/69',
            },
            {
                title: '文件公告 - 会议通知',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_70/list_1.html'],
                target: '/caam/70',
            },
            {
                title: '文件公告 - 分支机构文件',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_71/list_1.html'],
                target: '/caam/71',
            },
            {
                title: '专题子站',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_72/list_1.html'],
                target: '/caam/72',
            },
            {
                title: '专题子站 - 网站专题',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_73/list_1.html'],
                target: '/caam/73',
            },
            {
                title: '专题子站 - 分支机构网站',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_74/list_1.html'],
                target: '/caam/74',
            },
            {
                title: '专题子站 - 子网站',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_75/list_1.html'],
                target: '/caam/75',
            },
            {
                title: '信息资料',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_76/list_1.html'],
                target: '/caam/76',
            },
            {
                title: '信息资料 - 信息资料',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_77/list_1.html'],
                target: '/caam/77',
            },
            {
                title: '信息资料 - 当前最热',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_78/list_1.html'],
                target: '/caam/78',
            },
            {
                title: '行业动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_79/list_1.html'],
                target: '/caam/79',
            },
            {
                title: '行业动态 - 政府资讯',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_80/list_1.html'],
                target: '/caam/80',
            },
            {
                title: '行业动态 - 企业新闻',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_81/list_1.html'],
                target: '/caam/81',
            },
            {
                title: '行业动态 - 行业动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_82/list_1.html'],
                target: '/caam/82',
            },
            {
                title: '行业动态 - 车市动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_83/list_1.html'],
                target: '/caam/83',
            },
            {
                title: '行业动态 - 国内召回',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_84/list_1.html'],
                target: '/caam/84',
            },
            {
                title: '行业动态 - 国外召回',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_85/list_1.html'],
                target: '/caam/85',
            },
            {
                title: '行业动态 - 汽车新技术',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_86/list_1.html'],
                target: '/caam/86',
            },
            {
                title: '行业动态 - 市场环境',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_87/list_1.html'],
                target: '/caam/87',
            },
            {
                title: '行业动态 - 国际动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_88/list_1.html'],
                target: '/caam/88',
            },
            {
                title: '行业动态 - 国际动态 - 新闻',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_89/list_1.html'],
                target: '/caam/89',
            },
            {
                title: '行业动态 - 国际动态 - 企业',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_90/list_1.html'],
                target: '/caam/90',
            },
            {
                title: '行业动态 - 产品资讯',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_91/list_1.html'],
                target: '/caam/91',
            },
            {
                title: '行业动态 - 相关行业',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_92/list_1.html'],
                target: '/caam/92',
            },
            {
                title: '行业政策',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_93/list_1.html'],
                target: '/caam/93',
            },
            {
                title: '行业政策 - 最新政策',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_95/list_1.html'],
                target: '/caam/95',
            },
            {
                title: '行业政策 - 政策解读',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_96/list_1.html'],
                target: '/caam/96',
            },
            {
                title: '行业政策 - 国家政策',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_97/list_1.html'],
                target: '/caam/97',
            },
            {
                title: '行业政策 - 国家政策 - 产业政策',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_98/list_1.html'],
                target: '/caam/98',
            },
            {
                title: '行业政策 - 国家政策 - 新能源汽车',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_99/list_1.html'],
                target: '/caam/99',
            },
            {
                title: '行业政策 - 国家政策 - 节能环保',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_100/list_1.html'],
                target: '/caam/100',
            },
            {
                title: '行业政策 - 国家政策 - 税收',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_101/list_1.html'],
                target: '/caam/101',
            },
            {
                title: '行业政策 - 国家政策 - 进出口',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_102/list_1.html'],
                target: '/caam/102',
            },
            {
                title: '行业政策 - 国家政策 - 其他',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_103/list_1.html'],
                target: '/caam/103',
            },
            {
                title: '行业政策 - 地方政策',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_104/list_1.html'],
                target: '/caam/104',
            },
            {
                title: '行业政策 - 相关政策',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_105/list_1.html'],
                target: '/caam/105',
            },
            {
                title: '行业政策 - 国外政策',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_106/list_1.html'],
                target: '/caam/106',
            },
            {
                title: '行业政策 - 政策报道',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_107/list_1.html'],
                target: '/caam/107',
            },
            {
                title: '标准法规',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_108/list_1.html'],
                target: '/caam/108',
            },
            {
                title: '标准法规 - 标准政策',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_109/list_1.html'],
                target: '/caam/109',
            },
            {
                title: '标准法规 - 国家标准',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_110/list_1.html'],
                target: '/caam/110',
            },
            {
                title: '标准法规 - 行业标准',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_111/list_1.html'],
                target: '/caam/111',
            },
            {
                title: '标准法规 - 标准动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_112/list_1.html'],
                target: '/caam/112',
            },
            {
                title: '标准法规 - 国际标准',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_113/list_1.html'],
                target: '/caam/113',
            },
            {
                title: '标准法规 - 标准资料',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_114/list_1.html'],
                target: '/caam/114',
            },
            {
                title: '基础资料',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_115/list_1.html'],
                target: '/caam/115',
            },
            {
                title: '信息资料 - 公众资料',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_116/list_1.html'],
                target: '/caam/116',
            },
            {
                title: '信息资料 - 成品油',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_117/list_1.html'],
                target: '/caam/117',
            },
            {
                title: '信息资料 - 成品油 - 国内市场',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_118/list_1.html'],
                target: '/caam/118',
            },
            {
                title: '信息资料 - 成品油 - 国际市场',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_119/list_1.html'],
                target: '/caam/119',
            },
            {
                title: '信息资料 - 保有量',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_120/list_1.html'],
                target: '/caam/120',
            },
            {
                title: '信息资料 - 公路交通',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_121/list_1.html'],
                target: '/caam/121',
            },
            {
                title: '信息资料 - 公路交通 - 公路客运量',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_122/list_1.html'],
                target: '/caam/122',
            },
            {
                title: '信息资料 - 公路交通 - 旅客周转量',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_123/list_1.html'],
                target: '/caam/123',
            },
            {
                title: '信息资料 - 公路交通 - 公路货运量',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_124/list_1.html'],
                target: '/caam/124',
            },
            {
                title: '信息资料 - 经济环境',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_125/list_1.html'],
                target: '/caam/125',
            },
            {
                title: '公告查询',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_126/list_1.html'],
                target: '/caam/126',
            },
            {
                title: '公告查询 - 公告批文',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_127/list_1.html'],
                target: '/caam/127',
            },
            {
                title: '公告查询 - 公示公告',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_128/list_1.html'],
                target: '/caam/128',
            },
            {
                title: '公告查询 - 节能与新能源',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_129/list_1.html'],
                target: '/caam/129',
            },
            {
                title: '公告查询 - 公告动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_130/list_1.html'],
                target: '/caam/130',
            },
            {
                title: '人物访谈',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_131/list_1.html'],
                target: '/caam/131',
            },
            {
                title: '人物访谈 - 访谈列表',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_132/list_1.html'],
                target: '/caam/132',
            },
            {
                title: '视频新闻',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_133/list_1.html'],
                target: '/caam/133',
            },
            {
                title: '视频新闻 - 热门视频',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_134/list_1.html'],
                target: '/caam/134',
            },
            {
                title: '视频新闻 - 推荐视频',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_135/list_1.html'],
                target: '/caam/135',
            },
            {
                title: '视频新闻 - 视频列表',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_136/list_1.html'],
                target: '/caam/136',
            },
            {
                title: '统计数据 - 欧洲 - 俄罗斯',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_137/list_1.html'],
                target: '/caam/137',
            },
            {
                title: '统计数据 - 欧洲 - 爱尔兰',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_138/list_1.html'],
                target: '/caam/138',
            },
            {
                title: '统计数据 - 欧洲 - 丹麦',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_139/list_1.html'],
                target: '/caam/139',
            },
            {
                title: '统计数据 - 欧洲 - 其他',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_140/list_1.html'],
                target: '/caam/140',
            },
            {
                title: '统计数据 - 大洋洲 - 其他',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_141/list_1.html'],
                target: '/caam/141',
            },
            {
                title: '统计数据 - 北美洲 - 加拿大',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_142/list_1.html'],
                target: '/caam/142',
            },
            {
                title: '统计数据 - 北美洲 - 其他',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_144/list_1.html'],
                target: '/caam/144',
            },
            {
                title: '统计数据 - 北美洲 - 墨西哥',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_143/list_1.html'],
                target: '/caam/143',
            },
            {
                title: '统计数据 - 非洲 - 南非',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_145/list_1.html'],
                target: '/caam/145',
            },
            {
                title: '统计数据 - 非洲 - 其他',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_146/list_1.html'],
                target: '/caam/146',
            },
            {
                title: '协会概况 - 分支机构 - 机构名单',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_147/list_1.html'],
                target: '/caam/147',
            },
            {
                title: '首页-轮播',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_148/list_1.html'],
                target: '/caam/148',
            },
            {
                title: '标准法规 - 标准政策-轮播',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_149/list_1.html'],
                target: '/caam/149',
            },
            {
                title: '信息资料 - 信息资料-轮播',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_150/list_1.html'],
                target: '/caam/150',
            },
            {
                title: '行业动态 - 行业资讯-轮播',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_151/list_1.html'],
                target: '/caam/151',
            },
            {
                title: '行业政策 - 行业政策-轮播',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_152/list_1.html'],
                target: '/caam/152',
            },
            {
                title: '协会工作 - 协会工作-轮播图',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_153/list_1.html'],
                target: '/caam/153',
            },
            {
                title: '统计数据 - 数据统计-轮播图',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_154/list_1.html'],
                target: '/caam/154',
            },
            {
                title: 'Home',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_155/list_1.html'],
                target: '/caam/155',
            },
            {
                title: 'Home - Focus News',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_156/list_1.html'],
                target: '/caam/156',
            },
            {
                title: 'Home - Overview',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_157/list_1.html'],
                target: '/caam/157',
            },
            {
                title: 'Home - News',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_158/list_1.html'],
                target: '/caam/158',
            },
            {
                title: 'Home - Member sign',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_161/list_1.html'],
                target: '/caam/161',
            },
            {
                title: '车桥分会',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_162/list_1.html'],
                target: '/caam/162',
            },
            {
                title: '上市公司委员会',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_183/list_1.html'],
                target: '/caam/183',
            },
            {
                title: '上市公司委员会 - 单位动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_184/list_1.html'],
                target: '/caam/184',
            },
            {
                title: '上市公司委员会 - 临时公告',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_185/list_1.html'],
                target: '/caam/185',
            },
            {
                title: '上市公司委员会 - 定期报告',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_186/list_1.html'],
                target: '/caam/186',
            },
            {
                title: '上市公司委员会 - 数据及研究',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_187/list_1.html'],
                target: '/caam/187',
            },
            {
                title: '上市公司委员会 - 规章制度',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_188/list_1.html'],
                target: '/caam/188',
            },
            {
                title: '上市公司委员会 - 指引',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_189/list_1.html'],
                target: '/caam/189',
            },
            {
                title: '上市公司委员会 - 独立董事推荐',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_190/list_1.html'],
                target: '/caam/190',
            },
            {
                title: '上市公司委员会 - 重组并购项目',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_191/list_1.html'],
                target: '/caam/191',
            },
            {
                title: '专题',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_192/list_1.html'],
                target: '/caam/192',
            },
            {
                title: '专题 - 世界汽车组织',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_193/list_1.html'],
                target: '/caam/193',
            },
            {
                title: '专题 - OICA中国论坛',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_194/list_1.html'],
                target: '/caam/194',
            },
            {
                title: '出口企业信用评价专栏 - 已获等级的企业公告',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_195/list_1.html'],
                target: '/caam/195',
            },
            {
                title: '出口企业信用评价专栏 - 公示栏',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_196/list_1.html'],
                target: '/caam/196',
            },
            {
                title: '出口企业信用评价专栏 - 企业简介',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_197/list_1.html'],
                target: '/caam/197',
            },
            {
                title: '出口企业信用评价专栏 - 企业动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_198/list_1.html'],
                target: '/caam/198',
            },
            {
                title: '出口企业信用评价专栏',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_199/list_1.html'],
                target: '/caam/199',
            },
            {
                title: '出口企业信用评价专栏 - 信用评价专栏',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_200/list_1.html'],
                target: '/caam/200',
            },
            {
                title: '出口企业信用评价专栏 - 出口企业信用评价专栏视频专区',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_201/list_1.html'],
                target: '/caam/201',
            },
            {
                title: '汽车纵横',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_202/list_1.html'],
                target: '/caam/202',
            },
            {
                title: '汽车纵横 - 聚焦企业',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_204/list_1.html'],
                target: '/caam/204',
            },
            {
                title: '汽车纵横 - 深度报道',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_205/list_1.html'],
                target: '/caam/205',
            },
            {
                title: '汽车纵横 - 汽车市场',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_210/list_1.html'],
                target: '/caam/210',
            },
            {
                title: '汽车纵横 - 行业数据',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_211/list_1.html'],
                target: '/caam/211',
            },
            {
                title: '汽车纵横 - 汽车零部件',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_212/list_1.html'],
                target: '/caam/212',
            },
            {
                title: '汽车纵横 - 视点',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_216/list_1.html'],
                target: '/caam/216',
            },
            {
                title: '汽车纵横 - 头资讯',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_219/list_1.html'],
                target: '/caam/219',
            },
            {
                title: '汽车纵横 - 新车品鉴',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_221/list_1.html'],
                target: '/caam/221',
            },
            {
                title: '汽车纵横 - 资讯',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_222/list_1.html'],
                target: '/caam/222',
            },
            {
                title: '汽车纵横 - 刊首语',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_223/list_1.html'],
                target: '/caam/223',
            },
            {
                title: '汽车纵横 - 政府采购',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_224/list_1.html'],
                target: '/caam/224',
            },
            {
                title: '汽车纵横 - 环球扫描',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_225/list_1.html'],
                target: '/caam/225',
            },
            {
                title: '汽车纵横 - 观察',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_226/list_1.html'],
                target: '/caam/226',
            },
            {
                title: '汽车纵横 - 聚焦企业 - 聚焦企业',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_227/list_1.html'],
                target: '/caam/227',
            },
            {
                title: '汽车纵横 - 聚焦企业 - 特约评论',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_228/list_1.html'],
                target: '/caam/228',
            },
            {
                title: '汽车纵横 - 深度报道 - 媒介调查',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_229/list_1.html'],
                target: '/caam/229',
            },
            {
                title: '汽车纵横 - 深度报道 - 深度报道',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_230/list_1.html'],
                target: '/caam/230',
            },
            {
                title: '汽车纵横 - 深度报道 - 高端访谈',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_231/list_1.html'],
                target: '/caam/231',
            },
            {
                title: '汽车纵横 - 深度报道 - 专家建言',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_232/list_1.html'],
                target: '/caam/232',
            },
            {
                title: '百家论道',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_233/list_1.html'],
                target: '/caam/233',
            },
            {
                title: '名家论道',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_234/list_1.html'],
                target: '/caam/234',
            },
            {
                title: '汽车纵横 - 汽车市场 - 名家论坛',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_235/list_1.html'],
                target: '/caam/235',
            },
            {
                title: '汽车纵横 - 汽车市场 - 法律在线',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_236/list_1.html'],
                target: '/caam/236',
            },
            {
                title: '汽车纵横 - 汽车市场 - 巨擘传奇',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_237/list_1.html'],
                target: '/caam/237',
            },
            {
                title: '汽车纵横 - 汽车市场 - 名家新论',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_238/list_1.html'],
                target: '/caam/238',
            },
            {
                title: '汽车纵横 - 行业数据 - 环球扫描',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_239/list_1.html'],
                target: '/caam/239',
            },
            {
                title: '汽车纵横 - 行业数据 - 业界聚焦',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_240/list_1.html'],
                target: '/caam/240',
            },
            {
                title: '汽车纵横 - 行业数据 - 景象透视',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_241/list_1.html'],
                target: '/caam/241',
            },
            {
                title: '汽车纵横 - 行业数据 - 侧视窗外',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_242/list_1.html'],
                target: '/caam/242',
            },
            {
                title: '汽车纵横 - 汽车零部件 - 品牌诗话',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_243/list_1.html'],
                target: '/caam/243',
            },
            {
                title: '汽车纵横 - 汽车零部件 - 汽车文萃',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_244/list_1.html'],
                target: '/caam/244',
            },
            {
                title: '汽车纵横 - 汽车零部件 - 摄者手记',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_245/list_1.html'],
                target: '/caam/245',
            },
            {
                title: '汽车纵横 - 汽车零部件 - 汽车雅韵',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_246/list_1.html'],
                target: '/caam/246',
            },
            {
                title: '节能与新能源汽车',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_247/list_1.html'],
                target: '/caam/247',
            },
            {
                title: '节能与新能源汽车 - 信息动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_248/list_1.html'],
                target: '/caam/248',
            },
            {
                title: '节能与新能源汽车 - 政策法规',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_249/list_1.html'],
                target: '/caam/249',
            },
            {
                title: '节能与新能源汽车 - 技术标准',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_250/list_1.html'],
                target: '/caam/250',
            },
            {
                title: '节能与新能源汽车 - 整车产品',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_251/list_1.html'],
                target: '/caam/251',
            },
            {
                title: '节能与新能源汽车 - 关键零部件',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_252/list_1.html'],
                target: '/caam/252',
            },
            {
                title: '节能与新能源汽车 - 基础设施',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_253/list_1.html'],
                target: '/caam/253',
            },
            {
                title: '节能与新能源汽车 - T10园地',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_254/list_1.html'],
                target: '/caam/254',
            },
            {
                title: '节能与新能源汽车 - 知识百科',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_255/list_1.html'],
                target: '/caam/255',
            },
            {
                title: '节能与新能源汽车 - 产品展示',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_256/list_1.html'],
                target: '/caam/256',
            },
            {
                title: '节能与新能源汽车 - 尖峰对话',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_257/list_1.html'],
                target: '/caam/257',
            },
            {
                title: '节能与新能源汽车 - 企业风采',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_258/list_1.html'],
                target: '/caam/258',
            },
            {
                title: '节能与新能源汽车 - 专家视角',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_259/list_1.html'],
                target: '/caam/259',
            },
            {
                title: '零部件基地',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_260/list_1.html'],
                target: '/caam/260',
            },
            {
                title: '零部件基地 - 基地动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_261/list_1.html'],
                target: '/caam/261',
            },
            {
                title: '零部件基地 - 基地展示',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_262/list_1.html'],
                target: '/caam/262',
            },
            {
                title: '零部件基地 - 基地动态 - 新闻与动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_264/list_1.html'],
                target: '/caam/264',
            },
            {
                title: '零部件基地 - 基地动态 - 政策与信息',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_267/list_1.html'],
                target: '/caam/267',
            },
            {
                title: '减振器分会',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_268/list_1.html'],
                target: '/caam/268',
            },
            {
                title: '减振器分会 - 分会动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_269/list_1.html'],
                target: '/caam/269',
            },
            {
                title: '减振器分会 - 会员单位动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_270/list_1.html'],
                target: '/caam/270',
            },
            {
                title: '减振器分会 - 产品展示',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_271/list_1.html'],
                target: '/caam/271',
            },
            {
                title: '减振器分会 - 展会信息',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_272/list_1.html'],
                target: '/caam/272',
            },
            {
                title: '减振器分会 - 标准、法规专区',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_274/list_1.html'],
                target: '/caam/274',
            },
            {
                title: '减振器分会 - 产品展示 - 减振器',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_275/list_1.html'],
                target: '/caam/275',
            },
            {
                title: '减振器分会 - 资讯下载',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_273/list_1.html'],
                target: '/caam/273',
            },
            {
                title: '减振器分会 - 产品展示 - 零部件',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_276/list_1.html'],
                target: '/caam/276',
            },
            {
                title: '车轮委员会',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_278/list_1.html'],
                target: '/caam/278',
            },
            {
                title: '车轮委员会 - 会员单位动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_279/list_1.html'],
                target: '/caam/279',
            },
            {
                title: '车轮委员会 - 分会动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_280/list_1.html'],
                target: '/caam/280',
            },
            {
                title: '减振器分会 - 产品展示 - 相关产品',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_277/list_1.html'],
                target: '/caam/277',
            },
            {
                title: '车轮委员会 - 产品展示',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_281/list_1.html'],
                target: '/caam/281',
            },
            {
                title: '车轮委员会 - 标准、法规专区',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_282/list_1.html'],
                target: '/caam/282',
            },
            {
                title: '车轮委员会 - 产品展示 - 车轮',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_283/list_1.html'],
                target: '/caam/283',
            },
            {
                title: '车轮委员会 - 产品展示 - 零部件',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_284/list_1.html'],
                target: '/caam/284',
            },
            {
                title: '车轮委员会 - 产品展示 - 相关产品',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_285/list_1.html'],
                target: '/caam/285',
            },
            {
                title: '车用电机电器电子委员会',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_286/list_1.html'],
                target: '/caam/286',
            },
            {
                title: '车用电机电器电子委员会 - 分会动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_287/list_1.html'],
                target: '/caam/287',
            },
            {
                title: '车用电机电器电子委员会 - 会员单位动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_288/list_1.html'],
                target: '/caam/288',
            },
            {
                title: '车用电机电器电子委员会 - 产品展示',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_289/list_1.html'],
                target: '/caam/289',
            },
            {
                title: '车用电机电器电子委员会 - 产品展示 - 减振器',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_290/list_1.html'],
                target: '/caam/290',
            },
            {
                title: '车用电机电器电子委员会 - 产品展示 - 零部件',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_291/list_1.html'],
                target: '/caam/291',
            },
            {
                title: '车用电机电器电子委员会 - 产品展示 - 相关产品',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_292/list_1.html'],
                target: '/caam/292',
            },
            {
                title: '汽车行业团指委',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_293/list_1.html'],
                target: '/caam/293',
            },
            {
                title: '汽车行业团指委 - 委员单位动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_294/list_1.html'],
                target: '/caam/294',
            },
            {
                title: '汽车行业团指委 - 工作交流',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_295/list_1.html'],
                target: '/caam/295',
            },
            {
                title: '汽车行业团指委 - 品牌项目',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_296/list_1.html'],
                target: '/caam/296',
            },
            {
                title: '汽车行业团指委 - 理论学习',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_297/list_1.html'],
                target: '/caam/297',
            },
            {
                title: '汽车行业团指委 - 寻找最美青工',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_298/list_1.html'],
                target: '/caam/298',
            },
            {
                title: '汽车行业团指委 - 第二届最美青工',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_299/list_1.html'],
                target: '/caam/299',
            },
            {
                title: '汽车行业团指委 - 品牌项目 - 企业风采',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_300/list_1.html'],
                target: '/caam/300',
            },
            {
                title: '汽车行业团指委 - 品牌项目 - 青年文明号',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_301/list_1.html'],
                target: '/caam/301',
            },
            {
                title: '汽车行业团指委 - 品牌项目 - 青年岗位能手',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_302/list_1.html'],
                target: '/caam/302',
            },
            {
                title: '汽车行业团指委 - 品牌项目 - 百家微讲坛',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_303/list_1.html'],
                target: '/caam/303',
            },
            {
                title: '汽车行业团指委 - 理论学习 - 文件学习',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_304/list_1.html'],
                target: '/caam/304',
            },
            {
                title: '汽车行业团指委 - 理论学习 - 企业交流',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_305/list_1.html'],
                target: '/caam/305',
            },
            {
                title: '汽车行业团指委 - 理论学习 - 中国共产主义青年团章程',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_306/list_1.html'],
                target: '/caam/306',
            },
            {
                title: '2013中国汽车论坛',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_307/list_1.html'],
                target: '/caam/307',
            },
            {
                title: '会员专区',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_308/list_1.html'],
                target: '/caam/308',
            },
            {
                title: '会员中心',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_309/list_1.html'],
                target: '/caam/309',
            },
            {
                title: '会员中心 - 企业聚焦',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_310/list_1.html'],
                target: '/caam/310',
            },
            {
                title: '会员中心 - 整车会员',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_311/list_1.html'],
                target: '/caam/311',
            },
            {
                title: '会员中心 - 其他会员',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_312/list_1.html'],
                target: '/caam/312',
            },
            {
                title: '离合器分会',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_313/list_1.html'],
                target: '/caam/313',
            },
            {
                title: '离合器分会 - 分会动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_314/list_1.html'],
                target: '/caam/314',
            },
            {
                title: '离合器分会 - 会员单位动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_315/list_1.html'],
                target: '/caam/315',
            },
            {
                title: '离合器分会 - 产品展示',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_316/list_1.html'],
                target: '/caam/316',
            },
            {
                title: '离合器分会 - 展会信息',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_317/list_1.html'],
                target: '/caam/317',
            },
            {
                title: '离合器分会 - 资讯下载',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_318/list_1.html'],
                target: '/caam/318',
            },
            {
                title: '离合器分会 - 标准、法规专区',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_319/list_1.html'],
                target: '/caam/319',
            },
            {
                title: '离合器分会 - 产品展示 - 离合器',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_320/list_1.html'],
                target: '/caam/320',
            },
            {
                title: '离合器分会 - 产品展示 - 零部件',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_321/list_1.html'],
                target: '/caam/321',
            },
            {
                title: '离合器分会 - 产品展示 - 相关产品',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_322/list_1.html'],
                target: '/caam/322',
            },
            {
                title: '车身附件委员会',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_323/list_1.html'],
                target: '/caam/323',
            },
            {
                title: '车身附件委员会 - 分会动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_324/list_1.html'],
                target: '/caam/324',
            },
            {
                title: '车身附件委员会 - 会员单位动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_325/list_1.html'],
                target: '/caam/325',
            },
            {
                title: '车身附件委员会 - 产品展示',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_326/list_1.html'],
                target: '/caam/326',
            },
            {
                title: '车身附件委员会 - 展会信息',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_327/list_1.html'],
                target: '/caam/327',
            },
            {
                title: '车身附件委员会 - 资讯下载',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_328/list_1.html'],
                target: '/caam/328',
            },
            {
                title: '车身附件委员会 - 标准、法规专区',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_329/list_1.html'],
                target: '/caam/329',
            },
            {
                title: '车身附件委员会 - 标准法规',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_330/list_1.html'],
                target: '/caam/330',
            },
            {
                title: '车身附件委员会 - 产品展示 - 车身附件',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_331/list_1.html'],
                target: '/caam/331',
            },
            {
                title: '车身附件委员会 - 产品展示 - 零部件',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_332/list_1.html'],
                target: '/caam/332',
            },
            {
                title: '车身附件委员会 - 产品展示 - 相关产品',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_333/list_1.html'],
                target: '/caam/333',
            },
            {
                title: '2014全国两会专题',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_334/list_1.html'],
                target: '/caam/334',
            },
            {
                title: '2014中国汽车论坛',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_335/list_1.html'],
                target: '/caam/335',
            },
            {
                title: '车用灯具委员会',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_336/list_1.html'],
                target: '/caam/336',
            },
            {
                title: '车用灯具委员会 - 分会动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_337/list_1.html'],
                target: '/caam/337',
            },
            {
                title: '车用灯具委员会 - 会员动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_338/list_1.html'],
                target: '/caam/338',
            },
            {
                title: '车用灯具委员会 - 展会信息',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_339/list_1.html'],
                target: '/caam/339',
            },
            {
                title: '车用灯具委员会 - 资讯下载',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_341/list_1.html'],
                target: '/caam/341',
            },
            {
                title: '车用灯具委员会 - 动态新闻',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_342/list_1.html'],
                target: '/caam/342',
            },
            {
                title: '车用灯具委员会 - 专家库',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_343/list_1.html'],
                target: '/caam/343',
            },
            {
                title: '车用灯具委员会 - 产品展示',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_340/list_1.html'],
                target: '/caam/340',
            },
            {
                title: '车用发动机分会',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_344/list_1.html'],
                target: '/caam/344',
            },
            {
                title: '车用发动机分会 - 行业资讯',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_345/list_1.html'],
                target: '/caam/345',
            },
            {
                title: '车用发动机分会 - 分会动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_346/list_1.html'],
                target: '/caam/346',
            },
            {
                title: '车用发动机分会 - 分会概况',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_347/list_1.html'],
                target: '/caam/347',
            },
            {
                title: '吉林省汽车工业协会',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_348/list_1.html'],
                target: '/caam/348',
            },
            {
                title: '吉林省汽车工业协会 - 吉林动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_349/list_1.html'],
                target: '/caam/349',
            },
            {
                title: '吉林省汽车工业协会 - 行业访谈',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_350/list_1.html'],
                target: '/caam/350',
            },
            {
                title: '吉林省汽车工业协会 - 资讯下载',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_351/list_1.html'],
                target: '/caam/351',
            },
            {
                title: '吉林省汽车工业协会 - 汽车言论',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_352/list_1.html'],
                target: '/caam/352',
            },
            {
                title: '吉林省汽车工业协会 - 招聘信息',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_353/list_1.html'],
                target: '/caam/353',
            },
            {
                title: '吉林省汽车工业协会 - 产品展示',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_354/list_1.html'],
                target: '/caam/354',
            },
            {
                title: '吉林省汽车工业协会 - 吉林省汽协副会长',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_355/list_1.html'],
                target: '/caam/355',
            },
            {
                title: '吉林省汽车工业协会 - 协会概况',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_356/list_1.html'],
                target: '/caam/356',
            },
            {
                title: '吉林省汽车工业协会 - 测试站位',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_357/list_1.html'],
                target: '/caam/357',
            },
            {
                title: '道德讲堂',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_362/list_1.html'],
                target: '/caam/362',
            },
            {
                title: '道德讲堂 - 先进人物',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_363/list_1.html'],
                target: '/caam/363',
            },
            {
                title: '道德讲堂 - 高层声音',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_364/list_1.html'],
                target: '/caam/364',
            },
            {
                title: '道德讲堂 - 道德模范',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_365/list_1.html'],
                target: '/caam/365',
            },
            {
                title: '道德讲堂 - 身边榜样',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_366/list_1.html'],
                target: '/caam/366',
            },
            {
                title: '道德讲堂 - 国学讲堂',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_367/list_1.html'],
                target: '/caam/367',
            },
            {
                title: '道德讲堂 - 以案警示',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_368/list_1.html'],
                target: '/caam/368',
            },
            {
                title: '文明行车人',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_369/list_1.html'],
                target: '/caam/369',
            },
            {
                title: '文明行车人 - 绿色出行',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_370/list_1.html'],
                target: '/caam/370',
            },
            {
                title: '文明行车人 - 清洁空气',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_371/list_1.html'],
                target: '/caam/371',
            },
            {
                title: '文明行车人 - 公益活动',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_372/list_1.html'],
                target: '/caam/372',
            },
            {
                title: '文明行车人 - 节能减排',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_373/list_1.html'],
                target: '/caam/373',
            },
            {
                title: '自主品牌巡展',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_374/list_1.html'],
                target: '/caam/374',
            },
            {
                title: '自主品牌巡展 - 巡展新闻',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_375/list_1.html'],
                target: '/caam/375',
            },
            {
                title: '自主品牌巡展 - 往届回顾',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_376/list_1.html'],
                target: '/caam/376',
            },
            {
                title: '自主品牌巡展 - 巡展概况',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_377/list_1.html'],
                target: '/caam/377',
            },
            {
                title: '自主品牌巡展 - 相关活动',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_378/list_1.html'],
                target: '/caam/378',
            },
            {
                title: '自主品牌巡展 - 人物专访',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_379/list_1.html'],
                target: '/caam/379',
            },
            {
                title: '张小虞逝世专题',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_380/list_1.html'],
                target: '/caam/380',
            },
            {
                title: '张小虞逝世专题 - 企业唁电',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_381/list_1.html'],
                target: '/caam/381',
            },
            {
                title: '张小虞逝世专题 - 评论缅怀',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_382/list_1.html'],
                target: '/caam/382',
            },
            {
                title: '2015全国两会专题',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_383/list_1.html'],
                target: '/caam/383',
            },
            {
                title: '2015中国汽车论坛',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_384/list_1.html'],
                target: '/caam/384',
            },
            {
                title: '2015中国汽车论坛 - 嘉宾简历',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_385/list_1.html'],
                target: '/caam/385',
            },
            {
                title: '2015零部件年会',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_386/list_1.html'],
                target: '/caam/386',
            },
            {
                title: '2016两会专题',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_387/list_1.html'],
                target: '/caam/387',
            },
            {
                title: '房车委员会',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_388/list_1.html'],
                target: '/caam/388',
            },
            {
                title: '房车委员会 - 分会概况',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_389/list_1.html'],
                target: '/caam/389',
            },
            {
                title: '房车委员会 - 分会动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_390/list_1.html'],
                target: '/caam/390',
            },
            {
                title: '房车委员会 - 会员动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_391/list_1.html'],
                target: '/caam/391',
            },
            {
                title: '房车委员会 - 行业动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_392/list_1.html'],
                target: '/caam/392',
            },
            {
                title: '房车委员会 - 文件公告',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_393/list_1.html'],
                target: '/caam/393',
            },
            {
                title: '制动器委员会',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_394/list_1.html'],
                target: '/caam/394',
            },
            {
                title: '制动器委员会 - 分会动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_395/list_1.html'],
                target: '/caam/395',
            },
            {
                title: '制动器委员会 - 行业资讯',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_396/list_1.html'],
                target: '/caam/396',
            },
            {
                title: '汽车空调委员会',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_397/list_1.html'],
                target: '/caam/397',
            },
            {
                title: '汽车空调委员会 - 分会动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_398/list_1.html'],
                target: '/caam/398',
            },
            {
                title: '汽车空调委员会 - 标准规范',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_399/list_1.html'],
                target: '/caam/399',
            },
            {
                title: '汽车空调委员会 - 行业动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_400/list_1.html'],
                target: '/caam/400',
            },
            {
                title: '汽车空调委员会 - 资料下载',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_401/list_1.html'],
                target: '/caam/401',
            },
            {
                title: '块内图片',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_402/list_1.html'],
                target: '/caam/402',
            },
            {
                title: '2016零部件年会',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_403/list_1.html'],
                target: '/caam/403',
            },
            {
                title: '2017年两会专题',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_404/list_1.html'],
                target: '/caam/404',
            },
            {
                title: '2017零部件年会',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_405/list_1.html'],
                target: '/caam/405',
            },
            {
                title: '协会概况 - 协会领导',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_407/list_1.html'],
                target: '/caam/407',
            },
            {
                title: '行业政策 - 宏观政策',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_408/list_1.html'],
                target: '/caam/408',
            },
            {
                title: '行业政策 - 品牌建设',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_409/list_1.html'],
                target: '/caam/409',
            },
            {
                title: '行业政策 - 消费环境',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_410/list_1.html'],
                target: '/caam/410',
            },
            {
                title: 'Home - 英文站-轮播',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_411/list_1.html'],
                target: '/caam/411',
            },
            {
                title: '标准法规 - 团体标准',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_412/list_1.html'],
                target: '/caam/412',
            },
            {
                title: '电动智能',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_413/list_1.html'],
                target: '/caam/413',
            },
            {
                title: '电动智能 - 轮播',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_414/list_1.html'],
                target: '/caam/414',
            },
            {
                title: '电动智能 - 行业动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_415/list_1.html'],
                target: '/caam/415',
            },
            {
                title: '电动智能 - 新能源汽车',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_416/list_1.html'],
                target: '/caam/416',
            },
            {
                title: '电动智能 - 标准法规',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_417/list_1.html'],
                target: '/caam/417',
            },
            {
                title: '电动智能 - 政策资讯',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_418/list_1.html'],
                target: '/caam/418',
            },
            {
                title: '电动智能 - 核心零部件',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_419/list_1.html'],
                target: '/caam/419',
            },
            {
                title: '电动智能 - 基础设施',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_420/list_1.html'],
                target: '/caam/420',
            },
            {
                title: '电动智能 - 智能汽车',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_421/list_1.html'],
                target: '/caam/421',
            },
            {
                title: '电动智能 - 车联网',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_422/list_1.html'],
                target: '/caam/422',
            },
            {
                title: '电动智能 - 回收体系',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_423/list_1.html'],
                target: '/caam/423',
            },
            {
                title: '电动智能 - 新能源汽车 - 混合动力汽车',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_425/list_1.html'],
                target: '/caam/425',
            },
            {
                title: '电动智能 - 新能源汽车 - 燃料电池汽车',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_426/list_1.html'],
                target: '/caam/426',
            },
            {
                title: '电动智能 - 核心零部件 - 驱动电机',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_427/list_1.html'],
                target: '/caam/427',
            },
            {
                title: '电动智能 - 新能源汽车 - 纯电动汽车',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_424/list_1.html'],
                target: '/caam/424',
            },
            {
                title: '电动智能 - 核心零部件 - 动力电池',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_428/list_1.html'],
                target: '/caam/428',
            },
            {
                title: '电动智能 - 核心零部件 - 充电技术',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_429/list_1.html'],
                target: '/caam/429',
            },
            {
                title: '电动智能 - 核心零部件 - 燃料电池',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_430/list_1.html'],
                target: '/caam/430',
            },
            {
                title: '电动智能 - 核心零部件 - 材料技术',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_431/list_1.html'],
                target: '/caam/431',
            },
            {
                title: '电动智能 - 智能汽车 - 自动驾驶',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_432/list_1.html'],
                target: '/caam/432',
            },
            {
                title: '电动智能 - 智能汽车 - 移动出行',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_433/list_1.html'],
                target: '/caam/433',
            },
            {
                title: '电动智能 - 智能汽车 - 前瞻技术',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_434/list_1.html'],
                target: '/caam/434',
            },
            {
                title: '电动智能 - 车联网 - 娱乐系统',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_435/list_1.html'],
                target: '/caam/435',
            },
            {
                title: '电动智能 - 车联网 - 控制系统',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_436/list_1.html'],
                target: '/caam/436',
            },
            {
                title: '电动智能 - 车联网 - 云数据平台',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_437/list_1.html'],
                target: '/caam/437',
            },
            {
                title: '电动智能 - 车联网 - V2X通信',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_438/list_1.html'],
                target: '/caam/438',
            },
            {
                title: '会员专区 - 会员工作',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_439/list_1.html'],
                target: '/caam/439',
            },
            {
                title: '会员专区 - 会员风采',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_440/list_1.html'],
                target: '/caam/440',
            },
            {
                title: '车桥分会 - 车桥-轮播',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_443/list_1.html'],
                target: '/caam/443',
            },
            {
                title: '车桥分会 - 车桥-轮播右侧',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_444/list_1.html'],
                target: '/caam/444',
            },
            {
                title: '车桥分会 - 分会概况',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_445/list_1.html'],
                target: '/caam/445',
            },
            {
                title: '车桥分会 - 车桥-新闻中心图',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_451/list_1.html'],
                target: '/caam/451',
            },
            {
                title: '车桥分会 - 车桥-龙头企业',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_452/list_1.html'],
                target: '/caam/452',
            },
            {
                title: '车桥分会 - 车桥-会员企业',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_453/list_1.html'],
                target: '/caam/453',
            },
            {
                title: '车桥分会 - 分会动态',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_454/list_1.html'],
                target: '/caam/454',
            },
            {
                title: 'Home - MotorCycle Statistics',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_462/list_1.html'],
                target: '/caam/462',
            },
            {
                title: 'Home - Automotives Statistics',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_463/list_1.html'],
                target: '/caam/463',
            },
            {
                title: 'Home - Publications',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_464/list_1.html'],
                target: '/caam/464',
            },
            {
                title: '汽车纵横 - 节能与新能源',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_465/list_1.html'],
                target: '/caam/465',
            },
            {
                title: '汽车纵横 - 汽车纵横-轮播',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_466/list_1.html'],
                target: '/caam/466',
            },
            {
                title: '汽车纵横 - 节能与新能源 - 百家论道',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_467/list_1.html'],
                target: '/caam/467',
            },
            {
                title: '汽车纵横 - 节能与新能源 - 名家论道',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_468/list_1.html'],
                target: '/caam/468',
            },
            {
                title: '零部件基地 - 基地-轮播',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_469/list_1.html'],
                target: '/caam/469',
            },
            {
                title: '车轮委员会 - 车轮-轮播',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_470/list_1.html'],
                target: '/caam/470',
            },
            {
                title: '车轮委员会 - 车轮-轮播右侧',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_471/list_1.html'],
                target: '/caam/471',
            },
            {
                title: '车轮委员会 - 龙头企业',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_472/list_1.html'],
                target: '/caam/472',
            },
            {
                title: '车轮委员会 - 会员企业',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_473/list_1.html'],
                target: '/caam/473',
            },
            {
                title: '车用发动机分会 - 发动机-轮播',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_474/list_1.html'],
                target: '/caam/474',
            },
            {
                title: '车用发动机分会 - 发动机-轮播右侧',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_475/list_1.html'],
                target: '/caam/475',
            },
            {
                title: '车用发动机分会 - 发动机-龙头企业',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_476/list_1.html'],
                target: '/caam/476',
            },
            {
                title: '车用发动机分会 - 发动机-新闻中心图',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_477/list_1.html'],
                target: '/caam/477',
            },
            {
                title: '车轮委员会 - 分会概况',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_478/list_1.html'],
                target: '/caam/478',
            },
            {
                title: '车用电机电器电子委员会 - 分会概况',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_479/list_1.html'],
                target: '/caam/479',
            },
            {
                title: '车用电机电器电子委员会 - 龙头企业',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_480/list_1.html'],
                target: '/caam/480',
            },
            {
                title: '车用电机电器电子委员会 - 会员企业',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_481/list_1.html'],
                target: '/caam/481',
            },
            {
                title: '车用电机电器电子委员会 - 电机电器-轮播',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_482/list_1.html'],
                target: '/caam/482',
            },
            {
                title: '车用电机电器电子委员会 - 电机电器-轮播右侧',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_483/list_1.html'],
                target: '/caam/483',
            },
            {
                title: '车身附件委员会 - 车身-轮播',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_484/list_1.html'],
                target: '/caam/484',
            },
            {
                title: '车身附件委员会 - 车身-轮播右侧',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_485/list_1.html'],
                target: '/caam/485',
            },
            {
                title: '车身附件委员会 - 分会概况',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_486/list_1.html'],
                target: '/caam/486',
            },
            {
                title: '车身附件委员会 - 龙头企业',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_487/list_1.html'],
                target: '/caam/487',
            },
            {
                title: '车身附件委员会 - 会员企业',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_488/list_1.html'],
                target: '/caam/488',
            },
            {
                title: '车身附件委员会 - 车身-新闻中心图',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_489/list_1.html'],
                target: '/caam/489',
            },
            {
                title: '上市公司委员会 - 上市公司-轮播',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_490/list_1.html'],
                target: '/caam/490',
            },
            {
                title: '上市公司委员会 - 上市公司-轮播右侧',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_491/list_1.html'],
                target: '/caam/491',
            },
            {
                title: '上市公司委员会 - 上市公司-新闻中心图',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_492/list_1.html'],
                target: '/caam/492',
            },
            {
                title: '减振器分会 - 分会概况',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_494/list_1.html'],
                target: '/caam/494',
            },
            {
                title: '减振器分会 - 减振器-轮播',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_495/list_1.html'],
                target: '/caam/495',
            },
            {
                title: '减振器分会 - 减振器-轮播右侧',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_496/list_1.html'],
                target: '/caam/496',
            },
            {
                title: '减振器分会 - 龙头企业',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_497/list_1.html'],
                target: '/caam/497',
            },
            {
                title: '减振器分会 - 会员企业',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_498/list_1.html'],
                target: '/caam/498',
            },
            {
                title: '车用灯具委员会 - 分会概况',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_499/list_1.html'],
                target: '/caam/499',
            },
            {
                title: '车用灯具委员会 - 车灯-轮播',
                docs: 'https://docs.rsshub.app/routes/other#zhong-guo-qi-che-gong-ye-xie-hui-fen-lei',
                source: ['chn/:type/cate_500/list_1.html'],
                target: '/caam/500',
            },
        ],
    },
};
